# convert::to-string

(Deprecated)

Converts the argument to a string.

### Usage

`string convert::to-string(value)`

### Parameters

Name | Type | Description
--- | --- | ---
value | string | The value to be converted.

### Return Value

value converted to string. The function fails with an exception when the conversion is not possible.

### Remarks

Named method ConvertToString as a static ToString method would break CLS compliance.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)